Package org.apache.cxf.common.util

# Class PackageUtils

java.lang.Object
org.apache.cxf.common.util.PackageUtils

public final class PackageUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getNamespace(String packageName)`
  `static String`
  `getPackageName(Class<?> clazz)`
  `static String`
  `getPackageNameByNameSpaceURI(String nameSpaceURI)`
  `static String`
  `getSharedPackageName(List<Class<?>> classes)`
  `static String`
  `parsePackageName(String namespace, String defaultPackageName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getPackageName

    public static String getPackageName(Class<?> clazz)

  - ### getSharedPackageName

    public static String getSharedPackageName(List<Class<?>> classes)

  - ### parsePackageName

    public static String parsePackageName(String namespace, String defaultPackageName)

  - ### getPackageNameByNameSpaceURI

    public static String getPackageNameByNameSpaceURI(String nameSpaceURI)

  - ### getNamespace

    public static String getNamespace(String packageName)